include/wayland-server.hpp(3)

NAME
include/wayland-server.hpp

SYNOPSIS

#include <atomic>
#include <functional>
#include <list>
#include <memory>
#include <string>
#include <cstdint>
#include <wayland-server-core.h>
#include <wayland-util.hpp>

  Classes

class wayland::server::global_base_t
class wayland::server::global_t< resource >

  Typedefs

using wayland::server::log_handler = std::function< void(std::string)>
Type for functions that handle log messages.

  Functions

void wayland::server::set_log_handler (const log_handler &handler)
Set C library log handler.

Typedef Documentation

  using wayland::server::log_handler = typedef std::function<void(std::string)>

Type for functions that handle log messages. Log message is the first argument

Definition at line 58 of file wayland-server.hpp.

Function Documentation

  void wayland::server::set_log_handler (const log_handler & handler)

Set C library log handler. The C library sometimes logs important information such as protocol error messages, by default to the standard output. This can be used to set an alternate function that will receive those messages.

Parameters
    handler function that should be called for C library log messages

Author

Generated automatically by Doxygen for Wayland++ from the source code.